Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044999
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-09-07 10:392020-09-16 12:19
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression levelPre packaging ( pi )
Regression date2020-09-03
Regression introduced in releasepi
Regression introduced by commithttps://gitlab.com/openbravo/product/openbravo/-/commit/d1c5ec1eeac2370f9b2cce15859867e8d837e5ff [^]
Triggers an Emergency PackNo
Summary

0044999: xercesImpl updated causes errors on install.source in JDK8

DescriptionThe xercesImpl update(0044625) causes the following error on install.source using JDK8:

     [java] Exception in thread "main" java.lang.NoClassDefFoundError: org/w3c/dom/ElementTraversal
     [java] at java.lang.ClassLoader.defineClass1(Native Method)
     [java] at java.lang.ClassLoader.defineClass(ClassLoader.java:756)
     [java] at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
     [java] at java.net.URLClassLoader.defineClass(URLClassLoader.java:468)
     [java] at java.net.URLClassLoader.access$100(URLClassLoader.java:74)
     [java] at java.net.URLClassLoader$1.run(URLClassLoader.java:369)
     [java] at java.net.URLClassLoader$1.run(URLClassLoader.java:363)
     [java] at java.security.AccessController.doPrivileged(Native Method)
     [java] at java.net.URLClassLoader.findClass(URLClassLoader.java:362)
     [java] at java.lang.ClassLoader.loadClass(ClassLoader.java:418)
     [java] at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:352)
     [java] at java.lang.ClassLoader.loadClass(ClassLoader.java:351)
     [java] at org.apache.xerces.parsers.AbstractDOMParser.startDocument(Unknown Source)
     [java] at org.apache.xerces.xinclude.XIncludeHandler.startDocument(Unknown Source)
     [java] at org.apache.xerces.impl.dtd.XMLDTDValidator.startDocument(Unknown Source)
     [java] at org.apache.xerces.impl.XMLDocumentScannerImpl.startEntity(Unknown Source)
     [java] at org.apache.xerces.impl.XMLVersionDetector.startDocumentParsing(Unknown Source)
     [java] at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.DOMParser.parse(Unknown Source)
     [java] at org.apache.xerces.jaxp.DocumentBuilderImpl.parse(Unknown Source)
     [java] at org.apache.logging.log4j.core.config.xml.XmlConfiguration.<init>(XmlConfiguration.java:95)
     [java] at org.apache.logging.log4j.core.config.xml.XmlConfigurationFactory.getConfiguration(XmlConfigurationFactory.java:46)
     [java] at org.apache.logging.log4j.core.config.ConfigurationFactory$Factory.getConfiguration(ConfigurationFactory.java:453)
     [java] at org.apache.logging.log4j.core.config.ConfigurationFactory$Factory.getConfiguration(ConfigurationFactory.java:385)
     [java] at org.apache.logging.log4j.core.config.ConfigurationFactory.getConfiguration(ConfigurationFactory.java:260)
     [java] at org.apache.logging.log4j.core.LoggerContext.reconfigure(LoggerContext.java:615)
     [java] at org.apache.logging.log4j.core.LoggerContext.reconfigure(LoggerContext.java:636)
     [java] at org.apache.logging.log4j.core.LoggerContext.start(LoggerContext.java:231)
     [java] at org.apache.logging.log4j.core.impl.Log4jContextFactory.getContext(Log4jContextFactory.java:153)
     [java] at org.apache.logging.log4j.core.impl.Log4jContextFactory.getContext(Log4jContextFactory.java:45)
     [java] at org.apache.logging.log4j.LogManager.getContext(LogManager.java:194)
     [java] at org.apache.logging.log4j.LogManager.getLogger(LogManager.java:581)
     [java] at org.apache.logging.log4j.LogManager.getLogger(LogManager.java:567)
     [java] at org.openbravo.data.Sqlc.<clinit>(Sqlc.java:93)
     [java] Caused by: java.lang.ClassNotFoundException: org.w3c.dom.ElementTraversal
     [java] at java.net.URLClassLoader.findClass(URLClassLoader.java:382)
     [java] at java.lang.ClassLoader.loadClass(ClassLoader.java:418)
     [java] at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:352)
     [java] at java.lang.ClassLoader.loadClass(ClassLoader.java:351)

The reason is that the new xercesImpl library requires the xml-apis[1] library to complete the task.

[1] https://mvnrepository.com/artifact/xml-apis/xml-apis/1.4.01 [^]
Steps To Reproduce1. Create a new environment from scratch
2. Run ant install.source using JDK8
Proposed Solution1. Revert changes introduced with (0044625)
2. Decide how we want to update xerces, the problem is JDK8 requires xml-apis to work, but this library is not needed in JDK11 and it causes split-package problem
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
caused by defect 0044625 closedplatform Remove or fix xercesImpl.jar library to support eclipse java 11 

-  Notes
(0122733)
hgbot (developer)
2020-09-07 10:49

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 04a8027732f7f54d6ce305ee02100a7f8724d924
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 2020-09-07T10:47:44+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/04a8027732f7f54d6ce305ee02100a7f8724d924 [^]

related to ISSUE-44999: revert changeset d1c5ec1e

  Revert chnages introduced with xerces library update[1] as it causes
an error on install.source using JDK8.

[1] https://issues.openbravo.com/view.php?id=44625 [^]

---
A lib/runtime/xercesImpl.jar
M legal/Licensing.txt
M src-core/.classpath
M src-trl/.classpath
M src-wad/.classpath
R lib/runtime/xercesImpl-2.12.1-patched.jar
---
(0122810)
hgbot (developer)
2020-09-08 18:45

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/153 [^]
(0122812)
hgbot (developer)
2020-09-09 07:04

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/153 [^]
(0122813)
hgbot (developer)
2020-09-09 07:04

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 11d56c36ad3e3e7a9c3bc89ef082dccfb294d302
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 2020-09-09T05:03:48+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/11d56c36ad3e3e7a9c3bc89ef082dccfb294d302 [^]

fixes ISSUE-44999: xercesImpl update causes install.source crash in JDK8

  The update of the xercesImpl library[1] caused a failure in the ant
install.source task using JDK8. The reason is that it required the
xml-apis[2] library to work.

  We did not add that library originally because it also had an split package
problem which makes it not compatible with JDK11.

  For this reason we are not updating the xercesImpl library and just
patching it to avoid the split package problem it has.

[1] https://issues.openbravo.com/view.php?id=44625 [^]
[2] https://mvnrepository.com/artifact/xml-apis/xml-apis/1.4.01 [^]

---
A lib/runtime/xercesImpl-2.9.0-patched.jar
M legal/Licensing.txt
M src-core/.classpath
M src-trl/.classpath
M src-wad/.classpath
---
(0123107)
hgbot (developer)
2020-09-16 12:19

Repository: https://gitlab.com/openbravo/tools/platform/dependencies [^]
Changeset: 67815b698109b06e94b01c3052e821fd1f2a0411
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 2020-09-16T12:17:56+02:00
URL: https://gitlab.com/openbravo/tools/platform/dependencies/-/commit/67815b698109b06e94b01c3052e821fd1f2a0411 [^]

related to ISSUE-44999: specify current xercesImpl version (2.9.0)

---
M build.gradle
---

- Issue History
Date Modified Username Field Change
2020-09-07 10:39 caristu New Issue
2020-09-07 10:39 caristu Assigned To => platform
2020-09-07 10:39 caristu Modules => Core
2020-09-07 10:39 caristu Triggers an Emergency Pack => No
2020-09-07 10:39 caristu Issue generated from 0044625
2020-09-07 10:39 caristu Relationship added caused by 0044625
2020-09-07 10:44 caristu Regression level => Pre packaging ( pi )
2020-09-07 10:44 caristu Regression date => 2020-09-03
2020-09-07 10:44 caristu Regression introduced in release => pi
2020-09-07 10:44 caristu Regression introduced by commit => https://gitlab.com/openbravo/product/openbravo/-/commit/d1c5ec1eeac2370f9b2cce15859867e8d837e5ff [^]
2020-09-07 10:44 caristu Assigned To platform => caristu
2020-09-07 10:49 hgbot Note Added: 0122733
2020-09-08 18:45 hgbot Note Added: 0122810
2020-09-09 07:04 hgbot Resolution open => fixed
2020-09-09 07:04 hgbot Status new => closed
2020-09-09 07:04 hgbot Note Added: 0122812
2020-09-09 07:04 hgbot Fixed in Version => PR20Q4
2020-09-09 07:04 hgbot Note Added: 0122813
2020-09-16 12:19 hgbot Note Added: 0123107


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker